# Hard-to-spot Mac crypto-mining threat, XMRig, hits Pirate Bay
## Jamf Threat Labs has spotted a family of Mac malware, XMRig, that spreads through pirated versions of Final Cut Pro, Photoshop and Logic Pro X.
## Information:

+ Link: https://www.computerworld.com/article/3689149/hard-to-spot-mac-crypto-mining-threat-xmrig-hits-pirate-bay.html
+ Source: Computerworld
+ Author: Jonny Evans
+ Date published: 23 February 2023, 11:11
+ Date scraped: 01 March 2023, 17:00

## Article:
![Main article image](https://images.idgesg.net/images/article/2018/08/5_cryptography-and-data-protection-100768038-large.jpg?auto=webp&quality=85,70)


A new family of Mac malware that spreads through pirated versions of Final Cut Pro, Photoshop, and other key creative apps has been identified by the [Threat Labs team at Jamf](https://www.jamf.com/threat-labs/).

The new XMRig threat is a subtle cryptocurrency mining attack that has evaded detection for months.

## **Piracy is bad karma, but good crypto**

XMRig proliferates by attaching itself to pirated copies of creative applications, including versions of Final Cut Pro, Logic Pro X, and Adobe Photoshop. That’s the kind of "knock-off" Mac application you frequently find being distributed across peer to peer networks.

Once installed, the malware secretly mines cryptocurrency using the infected Macs. The malware is also intelligently designed to evade detection — when a user opens Activity Monitor to see if something is amiss on their Mac, it immediately ceases activity to avoid being spotted.

“Adware has traditionally been the most widespread type of macOS malware, but cryptojacking, a stealthy and large-scale crypto-mining scheme, is becoming increasingly prevalent,” Jamf warned in a extensive report today explaining the attack.

In this case, [researchers were able to identify the Pirate Bay account that distributed the files](https://www.jamf.com/blog/cryptojacking-macos-malware-discovered-by-jamf-threat-labs/). They found that almost every pirated app shared by the particular user hosted crypto-mining malware.

## **Following the money, chasing the processors**

The researchers speculate such attacks may become more prevalent, in part [because of Apple’s success](https://www.computerworld.com/article/3686060/ciscos-mac-choice-scheme-confirms-apples-future-in-enterprise-tech.html) with creating computationally powerful Apple Silicon chips. That may make Macs an even more attractive target for crypto mining malware. (Certainly, the platform has [become more attractive to attackers](https://www.applemust.com/us-security-agency-says-apple-users-must-update-devices/).)

It is worth noting that all known versions of this malware family are already detected and blocked by Jamf Protect, which also informs admins if Gatekeeper is disabled on any managed devices.

### **What is XMRig?**

XMRig has the following characteristics:

* Rather than Tor, it uses the Invisible Internet Project (i2P) communications protocol to communicate, download malware, and send mined currency to the attacker’s wallet.
* The attack has managed to evade detection on VirusTotal, even though the malware family has been detected.
* The attack also attempts to trick users who have downloaded a malware-infested app into completely disabling Apple’s Gatekeeper protection to make the application run.

Jamf Threat Labs managed to trace three generations of this particular malware, which first appeared around August 2019.

Each generation saw the attack become harder to spot. By the end of that journey, the attacker became sophisticated enough that uploads showed up on Pirate Bay within just 24- ours of macOS application updates — and managed to disguise malicious processes as system processes.

## **Blame culture, Ventura, and application design**

There is a psychological element to this. Employees whose hardware becomes infected because they downloaded pirated applications to a work machine are aware that they have acted illegally and are less inclined to warn IT that malware may have entered the system.

(That’s actually another good reason to foster a blame-free culture around security in order to spur the faster revelation of vulnerabilities).

Security is a constant battle.

Apple says it continues to update its XProtect system to block this particular malware family, and stressed that this attack does not bypass Gatekeeper protections.

In this case, Apple recently made significant improvements in macOS Ventura that make life harder for this malware. Ventura's more stringent security checks confirm all notarized apps are correctly signed and have not been modified by unauthorized processes, even after first launch. That’s a big improvement on how Apple's Gatekeeper protection used to act when it would only check a file on first launch.

However, Jamf found that the mining code would still execute, even if the original host application would not. The researchers found the hacked Photoshop copy remained unprotected, speculating that that was due to a difference in how the executables in the app worked on launch.

But the bottom line: don't use software stolen from Pirate Bay.

## **Nurture better security habits**

Jamf continues to develop beyond its MDM roots to encompass provisioning of ultra-secure distributed enterprise solutions as [evidenced by its ZecOps acquisition in 2022](https://www.computerworld.com/article/3674792/jamf-buys-zecops-to-bring-world-class-security-to-apple-enterprise.html).

The company’s Threat Security teams continue to [build a strong reputation](https://finance.yahoo.com/news/jamf-named-best-overall-endpoint-133000997.html) for security custodianship on Apple’s platforms. But the big reveal in almost every security research report I read from various teams remains the same: [Human error is the ultimate attack vector](https://www.computerworld.com/article/3684849/microsoft-doc-details-the-dos-and-donts-of-mac-ransomware-u.html).

It doesn’t matter whether its phishing, phreaking, hacking, or honeypot attacks — poor decisions by end users are the threats that should keep IT awake at night.

Again and again, it comes down to the simple things, such as reminding users not to click on links they don’t expect to receive, never install pirated software, always use complex passcodes, and never send confidential account logins of any kind across public Wi-Fi.

Apple will always stress that the Mac App Store is the safest place to get Mac software. The company also has industry-leading systems to help protect Mac users choosing to download outside of the App Store, including the Apple notary service and XProtect.

Simple steps such as these have a huge impact on reducing the chances that attacks succeed.

*Please follow me on [Mastodon](https://social.vivaldi.net/@jonnyevans), or join me in the [AppleHolic’s bar & grill](https://mewe.com/join/appleholics_bar_and_grill) and*[*Apple* *Discussions*](https://mewe.com/join/apple_discussions)*groups on MeWe.*





## Tags:
***email-adresses***: labsteam@jamf.the itawake@night.again

### Autogenerated tags:
[[malware]] [[jamf]] [[photoshop]] [[macos]] [[ventura]]
