# JOKERSPY used to target a cryptocurrency exchange in Japan
## An unnamed Japanese cryptocurrency exchange was the victim of a cyber attack aimed at deploying an Apple macOS backdoor named JokerSpy. Elastic Security Labs researchers provided details about a recently discovered intrusion at an unnamed cryptocurrency exchange, aimed at deploying an Apple macOS backdoor named JokerSpy. The researchers tracked the intrusion as REF9134, the threat […]
## Information:

+ Link: https://securityaffairs.com/147840/hacking/jokerspy-attack-japanese-cryptocurrency-exchange.html
+ Source: Security Affairs
+ Author: Pierluigi Paganini
+ Date published: 27 June 2023, 07:27
+ Date scraped: 27 June 2023, 09:03

## Article:
![Main article image](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2023/06/JokerSpy-model.png?resize=300%2C300&ssl=1)


## An unnamed Japanese cryptocurrency exchange was the victim of a cyber attack aimed at deploying an Apple macOS backdoor named JokerSpy.


Elastic Security Labs researchers provided details about a recently discovered intrusion at an unnamed cryptocurrency exchange, aimed at deploying an Apple macOS backdoor named [JokerSpy](https://securityaffairs.com/147622/malware/macos-attacks-toolkit.html).


The researchers tracked the intrusion as REF9134, the threat actors used the sh.py backdoor to deploy the macOS Swiftbelt enumeration tool. Recently Bitdefender dubbed sh.py and xcc  [JOKERSPY](https://www.bitdefender.com/blog/labs/fragments-of-cross-platform-backdoor-hint-at-larger-mac-os-attack/), the former was used to evade detection and install the latter and deploy enumeration tools. 


  ![](//assets.vlitag.com/widget/2023/03/24/1679645040.png) .vi\_svg{cursor:pointer;width:38px!important;height:38px!important;display:none;margin:0!important;max-width:initial!important}.vislider\_\_control\_\_bottom .progress{position:relative;bottom:35px;left:0;height:5px!important;transition:height .3s;background:rgba(0,0,0,.5);cursor:pointer;flex:none;-ms-flex:none;display:flex;width:100%;margin:0;border-radius:0;box-shadow:none}.vislider\_\_control\_\_bottom .progress .progress\_\_filled{width:0%;background:#ddd;-ms-flex:0;flex:0;-ms-flex-preferred-size:0;flex-basis:0%}.vislider\_\_control\_\_bottom button{float:right;max-height:20px}.vislider\_\_control\_\_bottom .vi\_\_time{color:#ddd;margin-left:5px;line-height:1;font-size:13px;display:inline-block}.vi\_slider\_control\_custom{font-family:"Helvetica Neue","Calibri Light",Roboto,sans-serif;letter-spacing:.02em}.vi\_\_player.vi\_\_played:hover .opacity\_\_control{visibility:visible;opacity:1}.playerWrapper button{background:no-repeat;border:none;outline:0;padding:0;display:inline-block;cursor:pointer;font-size:14px!important;background-color:transparent!important}.vi\_slider\_control\_custom .vislider\_\_control\_\_middle{position:absolute;top:50%;left:50%;transform:translate(-50%,-50%)}.vi\_slider\_control\_custom .vislider\_\_control\_\_middle .vi\_\_middle\_button{display:-ms-flexbox;display:flex;justify-content:center;-ms-flex-align:center;align-items:center;justify-content:center;align-items:center;position:absolute;top:50%;left:50%;-ms-transform:translate(-50%,-50%) scale(1);transform:translate(-50%,-50%) scale(1)}.vi\_slider\_control\_custom .vislider\_\_control\_\_middle .vi\_\_button{width:15px!important;height:15px!important;margin:0 30px}.vi\_\_loading .vislider\_\_control\_\_middle .vi\_\_middle\_button{display:none}.slider\_\_control{position:absolute;bottom:0;left:0;width:100%;height:auto!important}.opacity\_\_control{visibility:hidden;opacity:0}.vi\_\_player:not(.vi\_\_played) .vi\_\_button,.vi\_\_player:not(.vi\_\_played) .vislider\_\_control\_\_bottom{display:none}.slider\_\_control#vislider\_control\_overlay{position:absolute;top:0;bottom:0;left:0;right:0;background-color:rgba(0,0,0,.2);cursor:pointer}.vislider\_\_loading{display:none;position:absolute;top:50%;left:50%;transform:translate(-50%,-50%)}.vi\_\_loading .vislider\_\_loading{display:block}#vi\_svg\_play{display:block}#btn\_control\_player{cursor:pointer;position:absolute;top:50%;left:50%;transform:translate(-50%,-50%);padding:9px;border-radius:50%;display:block;width:auto;height:auto;margin:0;max-width:inherit}.vi\_\_player:not(.vi\_\_played) #btn\_control\_player{opacity:1;visibility:visible}.vi\_\_player.vi\_\_paused .opacity\_\_control{visibility:visible;opacity:1}#vi\_toggleVolVideo .vi\_\_mutedVideo,#vi\_toggleVolVideo .vi\_\_volVideo{padding:initial;background-color:transparent;display:block;height:19px;box-sizing:content-box;position:relative;top:0;right:0}#vi\_toggleVolVideo .icon-volume{position:absolute;top:0;right:0}.sound\_on .vi\_\_mutedVideo{display:none!important}.sound\_off .vi\_\_volVideo{display:none!important}#hide\_fullscreen\_slider{position:absolute;display:none;top:-25px;right:-25px;cursor:pointer}#vi\_poster\_\_video{position:absolute;top:0;left:0;width:inherit!important;height:inherit!important;visibility:hidden;opacity:0}.adWrapperBox .adWrapper video{height:100%!important}.vislider\_\_control\_\_bottom .vi\_slider\_\_button{margin:0 5px;width:14px;height:14px}@media only screen and (max-width:480px){#hide\_fullscreen\_slider{top:-30px;right:0}}                                                             00:00/00:00                                         

Bitdefender researchers recently discovered a set of malicious files with backdoor capabilities that are suspected to be part of a sophisticated toolkit designed to target Apple macOS systems.


The investigation is still ongoing, the experts pointed out that the samples are still largely undetected


The researchers analyzed a total of four samples that were uploaded to VirusTotal, with the earliest sample that was uploaded by an anonymous actor to the platform on April 18, 2023. The remaining ones have been uploaded by the victim.


Two of the three samples uploaded by a victim are generic Python backdoors that target Windows, Linux, and macOS systems.


Bitdefender also discovered a powerful backdoor, a file labeled “sh.py,” among the samples they analyzed. The malicious code supports multiple capabilities, such as gathering system data, files listing, deleting files, executing commands, and exfiltrate base64 encoded data in batches.


Bitdefender also analyzed another component called FAT binary, which is written in Swift, and targets macOS Monterey (version 12) and newer.


The FAT binary contains Mach-O files for 2 architectures (x86 Intel and ARM M1), the experts believe it is used to check permissions before using a potential spyware component (likely to capture the screen) but does not include the spyware component itself. For this reason, experts believe that the discovered files are part of a more sophisticated attack. At this time, several files belonging to the attack chain are yet to be analyzed.


*“In late May of 2023, an adversary with existing access in a prominent Japanese cryptocurrency exchange tripped one of our diagnostic endpoint alerts that detected the execution of a binary (**xcc**). **xcc** is not trusted by Apple, and the adversary self-signed using the native macOS tool **codesign**.” [**reported**](https://www.elastic.co/security-labs/inital-research-of-jokerspy) Elastic Security Labs. “Following the execution of **xcc**, we observed the threat actor attempting to bypass TCC permissions by creating their own TCC database and trying to replace the existing one. On June 1st a new Python-based tool was seen executing from the same directory as **xcc** and was utilized to execute an open-source macOS post-exploitation enumeration tool known as Swiftbelt.”*


Elastic Security Labs experts reported that xccis a self-signed binary written in Swift. The tool allows attackers to determine current system permissions. The sample analyzed by the experts is signed as XProtectCheck, in an attempt to trick victims into believing that it was the macOS built-in AV [XProtect](https://support.apple.com/en-us/guide/security/sec469d47bd8/web).


The researchers observed xcc checking FullDiskAccess and ScreenRecording permissions, it was also used to determine if the screen is currently locked and if the current process is a trusted accessibility client.


The experts believe that the initial access for this attack was a backdoored plugin or 3rd party dependency. [Bitdefender](https://www.bitdefender.com/blog/labs/fragments-of-cross-platform-backdoor-hint-at-larger-mac-os-attack/) speculate the malware was distributed using a malware-laced macOS QR code reader with a malicious dependency.


The analysis of the **sh.py** Python backdoor published by Elastic revealed it was used to deploy and execute other post-exploitation tools like Swiftbelt**.**


Below is the list of commands supported by the backdoor:




| **Command** | **Description** |
| --- | --- |
| sk | Stop the backdoor’s execution |
| l | List the files of the path provided as parameter |
| c | Execute and return the output of a shell command |
| cd | Change directory and return the new path |
| xs | Execute a Python code given as a parameter in the current context |
| xsi | Decode a Base64-encoded Python code given as a parameter, compile it, then execute it |
| r | Remove a file or directory from the system |
| e | Execute a file from the system with or without parameter |
| u | Upload a file to the infected system |
| d | Download a file from the infected system |
| g | Get the current malware’s configuration stored in the configuration file |
| w | Override the malware’s configuration file with new values |




Elastic Security used a Diamond Model to describe high-level relationships between the adversaries, capabilities, infrastructure, and victims of intrusions.



[![JokerSpy](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2023/06/JokerSpy-model.png?resize=664%2C428&ssl=1)](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2023/06/JokerSpy-model.png?ssl=1)


The researchers shared MITRE ATT&CK Tactics and Yara rules for this threat.


Follow me on Twitter: [**@securityaffairs**](https://twitter.com/securityaffairs) and [**Facebook**](https://www.facebook.com/sec.affairs) and [**Mastodon**](https://infosec.exchange/@securityaffairs)


[**Pierluigi Paganini**](http://www.linkedin.com/pub/pierluigi-paganini/b/742/559)


**(**[**SecurityAffairs**](http://securityaffairs.co/wordpress/)**–** **hacking,** **JokerSpy**)



  


---


  




## Tags:


### Autogenerated tags:
[[macos]] [[xcc]] [[bitdefender]] [[jokerspy]] [[sh.py]] [[malware]]
