# New 'Cuckoo' Persistent macOS Spyware Targeting Intel and Arm Macs
## A new malware called "Cuckoo" is on the loose, targeting both Intel and ARM-based Macs.
## Information:

+ Link: https://thehackernews.com/2024/05/new-cuckoo-persistent-macos-spyware.html
+ Source: The Hacker News
+ Author: The Hacker News
+ Date published: 06 May 2024, 13:18
+ Date scraped: 06 May 2024, 08:08

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEi_F1KzJ-rXXDfpfsaOUDosDvEa2Iwig46Nm0LlpvTguCzmNRDH1jUtpku3ElPR4QkVdU9ZULPOYYtstxSDYnLyXV6sUZ4FZliYlJEdfnlwwW4MLtlcpW0JfYqfly_O861Gbam37tqnvNNXzShHY1mIT1IIvqyWFhDP3_etN0NJjNu0g0lrPk47lMpHY9j1/s728-rw-e365/macos.png)


Cybersecurity researchers have discovered a new information stealer targeting Apple macOS systems that's designed to set up persistence on the infected hosts and act as a spyware.


Dubbed **Cuckoo** by Kandji, the malware is a universal Mach-O binary that's capable of running on both Intel- and Arm-based Macs.


The exact distribution vector is currently unclear, although there are indications that the binary is hosted on sites like dumpmedia[.]com, tunesolo[.]com, fonedog[.]com, tunesfun[.]com, and tunefab[.]com that claim to offer free and paid versions of applications dedicated to ripping music from streaming services and converting it into the MP3 format.


The disk image file downloaded from the websites is responsible for spawning a bash shell to gather host information and ensuring that the compromised machine is not located in Armenia, Belarus, Kazakhstan, Russia, Ukraine. The malicious binary is executed only if the locale check is successful.


It also establishes persistence by means of a LaunchAgent, a technique previously adopted by different malware families like [RustBucket](https://thehackernews.com/2023/07/beware-new-rustbucket-malware-variant.html), [XLoader](https://thehackernews.com/2023/08/new-variant-of-xloader-macos-malware.html), [JaskaGO](https://thehackernews.com/2023/12/new-go-based-jaskago-malware-targeting.html), and a [macOS backdoor](https://thehackernews.com/2024/01/experts-warn-of-macos-backdoor-hidden.html) that shares overlaps with ZuRu.


[![Cybersecurity](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEiuUUskkMH9dUT3LF77_Q_irGuaE4LGjp-Am2Ls_UzGJ5EBnZHfuFiSvKs4OPE5KmfedBHcuZZVHS4Bh48UJx8brpwtg6Vr2Gepbaw-lGMIm9HjUhyphenhyphen2W5DVm5-ymwPS691Ie32TrCqFIv6SxNRA-jOKCKZrOB5dV7BfL0zVAhOO0neNkP9yv-XePBU1hN_0/s728-e365/wing-d.png)](https://thehackernews.uk/third-party-risk-management-saas)
Cuckoo, like the [MacStealer macOS stealer malware](https://thehackernews.com/2023/03/new-macstealer-macos-malware-steals.html), also leverages osascript to display a fake password prompt to trick users into entering their system passwords for privilege escalation.


"This malware queries for specific files associated with specific applications, in an attempt to gather as much information as possible from the system," researchers Adam Kohler and Christopher Lopez [said](https://blog.kandji.io/malware-cuckoo-infostealer-spyware).


It's equipped to run a series of commands to extract hardware information, capture currently running processes, query for installed apps, take screenshots, and harvest data from iCloud Keychain, Apple Notes, web browsers, crypto wallets, and apps like Discord, FileZilla, Steam, and Telegram.


"Each malicious application contains another application bundle within the resource directory," the researchers said. "All of those bundles (except those hosted on fonedog[.]com) are signed and have a valid Developer ID of Yian Technology Shenzhen Co., Ltd (VRBJ4VRP)."


[![](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEjm3noaOGB8broLvcEwrm9P8ak-jGg5hF3PGGyCqpMvkCL-DnBG9WSZk8W4xEMVyZSAUMvj_WkrYG6P0bFOEmHEH3YDajmCZ8xh4fxRdN_4Z1aNmUB5SA_J0fe3QVGhZs_2IPqwtLx98yqwKryX2Z9ZKQu01U1gupGFq3Njhezuxrgng8Vxn5ThsaNVltHK/s728-rw-e365/map.png)](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEjm3noaOGB8broLvcEwrm9P8ak-jGg5hF3PGGyCqpMvkCL-DnBG9WSZk8W4xEMVyZSAUMvj_WkrYG6P0bFOEmHEH3YDajmCZ8xh4fxRdN_4Z1aNmUB5SA_J0fe3QVGhZs_2IPqwtLx98yqwKryX2Z9ZKQu01U1gupGFq3Njhezuxrgng8Vxn5ThsaNVltHK/s728-rw-e365/map.png)
"The website fonedog[.]com hosted an Android recovery tool among other things; the additional application bundle in this one has a developer ID of FoneDog Technology Limited (CUAU2GTG98)."


The disclosure comes nearly a month after the Apple device management company also exposed another stealer malware codenamed [CloudChat](https://blog.kandji.io/cloudchat-infostealer) that masquerades as a privacy-oriented messaging app and is capable of compromising macOS users whose IP addresses do not geolocate to China.


The malware works by grabbing crypto private keys copied to the clipboard and data associated with wallet extensions installed on Google Chrome.


[![Cybersecurity](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEg_WRs2jRYPNRPdVnIJ52g0Zo3TY_c0FSwk8ZZN085hqm-nXig4b7WIZCpqdHexadU4EmZ402vX1EghcAxIZGa9lwLkWAPPYzPbg1gc5UZCbvTtOHQ3ozwiQAgJ1ahKFoOp8SZl-JN8_URGwiu9aTe5U2wiVHGEetM-S7kKkmgPMNdL_83d5HTJrLm7iBp6/s728-e365/cis-d.png)](https://thehackernews.uk/cis-hardened-images)
It also follows the discovery of a new variant of the notorious [AdLoad malware](https://thehackernews.com/2023/08/this-malware-turned-thousands-of-hacked.html) written in Go called Rload (aka Lador) that's engineered to evade the Apple XProtect malware signature list and is compiled solely for Intel x86\_64 architecture.


"The binaries function as initial droppers for the next stage payload," SentinelOne security researcher Phil Stokes [said](https://www.sentinelone.com/blog/macos-adload-prolific-adware-pivots-just-days-after-apples-xprotect-clampdown/) in a report last week, adding the specific distribution methods remain presently obscure.


That having said, these droppers have been observed typically embedded in cracked or trojanized apps distributed by malicious websites.


AdLoad, a widespread adware campaign afflicting macOS since at least 2017, is known for hijacking search engine results and injecting advertisements into web pages for monetary gain by means of an adversary-in-the-middle web proxy to redirect user's web traffic through the attacker's own infrastructure.


  





## Tags:
***urls***: http://fonedog.com http://tunesolo.com http://tunesfun.com http://dumpmedia.com http://tunefab.com

### Autogenerated tags:
[[malware]] [[macos]] [[fonedog[.]com]] [[apps]]
