# New iShutdown Method Exposes Hidden Spyware Like Pegasus on Your iPhone
## Discover how a simple 'Shutdown.log' file on your iPhone could be the key to identifying the presence of notorious spyware.
## Information:

+ Link: https://thehackernews.com/2024/01/new-ishutdown-method-exposes-hidden.html
+ Source: The Hacker News
+ Author: The Hacker News
+ Date published: 17 January 2024, 15:52
+ Date scraped: 17 January 2024, 11:02

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEhbQr0oRdG6tudqkU7L0TC-JcAZkHO7V9UfVUTT8DuuwGFjgGVG-cSWk71495m8iC2sg-CR8z1RCYroTNH9B3p-2Xpus-6oZ1LDc0tMvGN-nI-NdN53437ek5Xhj5sRjIyZwPBiL_pPWbvpV9dXVrYaKiKYjw4FiDfpUk-G2Dca5E-iPZQbAspdN5lj6b82/s728-rw-ft-e30/iphone-hacking.jpg)


Cybersecurity researchers have identified a "lightweight method" called **iShutdown** for reliably identifying signs of spyware on Apple iOS devices, including notorious threats like NSO Group's [Pegasus](https://thehackernews.com/2023/04/nso-group-used-3-zero-click-iphone.html), QuaDream's [Reign](https://thehackernews.com/2023/04/israel-based-spyware-firm-quadream.html), and Intellexa's [Predator](https://thehackernews.com/2023/12/multi-million-dollar-predator-spyware.html). 


Kaspersky, which analyzed a set of iPhones that were compromised with Pegasus, said the infections left traces in a file named "Shutdown.log," a text-based system log file available on all iOS devices and which records every reboot event alongside its environment characteristics.


"Compared to more time-consuming acquisition methods like forensic device imaging or a full iOS backup, retrieving the Shutdown.log file is rather straightforward," security researcher Maher Yamout [said](https://securelist.com/shutdown-log-lightweight-ios-malware-detection-method/111734/). "The log file is stored in a sysdiagnose (sysdiag) archive."


The Russian cybersecurity firm said it identified entries in the log file that recorded instances where "sticky" processes, such as those associated with the spyware, caused a reboot delay, in some cases observing Pegasus-related processes in over four reboot delay notices.


What's more, the investigation revealed a the presence of a similar filesystem path that's used by all the three spyware families – "/private/var/db/" for Pegasus and Reign, and "/private/var/tmp/" for Predator – thereby acting as an indicator of compromise.


[![iShutdown](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEggebUKAy0g7Is8ZvqeYPgfzSQTXWg-Z0YvKQ9fPIxH_YYntZ9xFL7rmczrOILaG5aZ3Ib3RSzEsrrG8-yQyoaaRt0mdJQwomyfgwQ3_VhYnHpeK1zQHEhsfktTZdbdGGGODx8wn0rQJIkTHP9zxlDhgVJs2yJlGJ8qlDPvin2UuhGns6PGGPsaLF7Aj_bq/s728-rw-ft-e30/iphone.jpg)](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEggebUKAy0g7Is8ZvqeYPgfzSQTXWg-Z0YvKQ9fPIxH_YYntZ9xFL7rmczrOILaG5aZ3Ib3RSzEsrrG8-yQyoaaRt0mdJQwomyfgwQ3_VhYnHpeK1zQHEhsfktTZdbdGGGODx8wn0rQJIkTHP9zxlDhgVJs2yJlGJ8qlDPvin2UuhGns6PGGPsaLF7Aj_bq/s728-rw-ft-e30/iphone.jpg)
That said, the success of this approach hinges on a caveat that the target user reboots their device as often as possible, the frequency for which varies according to their threat profile.


Kaspersky has also [published](https://github.com/KasperskyLab/iShutdown) a collection of Python scripts to extract, analyze, and parse the Shutdown.log in order to extract the reboot stats.


"The lightweight nature of this method makes it readily available and accessible," Yamout said. "Moreover, this log file can store entries for several years, making it a valuable forensic artifact for analyzing and identifying anomalous log entries."


The disclosure comes as SentinelOne revealed information stealers targeting macOS such as [KeySteal](https://www.trendmicro.com/en_se/research/22/k/pilfered-keys-free-app-infected-by-malware-steals-keychain-data.html), [Atomic](https://thehackernews.com/2024/01/atomic-stealer-gets-upgrade-targeting.html), and [JaskaGo](https://thehackernews.com/2023/12/new-go-based-jaskago-malware-targeting.html) (aka CherryPie or Gary Stealer) are quickly adapting to circumvent Apple's built-in antivirus technology called [XProtect](https://support.apple.com/en-us/guide/security/sec469d47bd8/web).


"Despite solid efforts by Apple to update its XProtect signature database, these rapidly evolving malware strains continue to evade," security researcher Phil Stokes [said](https://www.sentinelone.com/blog/the-many-faces-of-undetected-macos-infostealers-keysteal-atomic-cherrypie-continue-to-adapt/). "Relying solely on signature-based detection is insufficient as threat actors have the means and motive to adapt at speed."


  





## Tags:


### Autogenerated tags:
[[spyware]] [[shutdown.log]]
