# New AdLoad malware variant slips through Apple's XProtect defenses
## A new AdLoad malware variant is slipping through Apple's YARA signature-based XProtect built-in antivirus to infect Macs as part of multiple campaigns tracked by cybersecurity firm SentinelOne.
## Information:

+ Link: https://www.bleepingcomputer.com/news/apple/new-adload-malware-variant-slips-through-apples-xprotect-defenses/
+ Source: Bleeping Computer
+ Author: Sergiu Gatlan
+ Date published: 11 August 2021, 09:00
+ Date scraped: 11 December 2023, 16:02

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2021/02/10/Apple-red..jpg)



A new AdLoad malware variant is slipping through Apple's YARA signature-based XProtect built-in antivirus to infect Macs as part of multiple campaigns tracked by cybersecurity firm SentinelOne.


AdLoad is a widespread trojan targeting the macOS platform since [at least since late 2017](https://labs.sentinelone.com/how-adload-macos-malware-continues-to-adapt-evade/) and used to deploy various malicious payloads, including adware and Potentially Unwanted Applications (PUAs), 


This malware can also [harvest system information](https://blog.malwarebytes.com/detections/trojan-adload/) that later gets sent to remote servers controlled by its operators.


Increasingly active since July
------------------------------


These massive scale and ongoing attacks have started as early as November 2020, [according to SentinelOne threat researcher Phil Stokes](https://labs.sentinelone.com/massive-new-adload-campaign-goes-entirely-undetected-by-apples-xprotect/), with an increase in activity beginning with July and the beginning of August.


Once it infects a Mac, AdLoad will install a Man-in-The-Middle (MiTM) web proxy to hijack search engine results and inject advertisements into web pages for monetary gain.


It will also gain persistence on infected Macs by installing LaunchAgents and LaunchDaemons and, in some cases, user cronjobs that run every two and a half hours.


While monitoring this campaign, the researcher observed more than 220 samples, 150 of them unique and undetected by Apple's built-in antivirus even though XProtect now comes with roughly a dozen AdLoad signatures.


Many of the samples detected by SentinelOne are also [signed](https://support.apple.com/guide/security/app-code-signing-process-sec3ad8e6e53/web) with valid Apple-issued Developer ID certificates, while others are also notarized to run under default [Gatekeeper](https://support.apple.com/guide/security/gatekeeper-and-runtime-protection-sec5599b66df/1/web/1) settings.



![XProtect AdLoad signatures](https://www.bleepstatic.com/images/news/u/1109292/2021/XProtect%20AdLoad%20signatures.jpg)*XProtect AdLoad signatures (SentinelOne)*


"At the time of writing, XProtect was last updated around June 15th. None of the samples we found are known to XProtect since they do not match any of the scanner’s current set of Adload rules," Stokes concluded.


"The fact that hundreds of unique samples of a well-known adware variant have been circulating for at least 10 months and yet still remain undetected by Apple’s built-in malware scanner demonstrates the necessity of adding further endpoint security controls to Mac devices."


Hard to ignore threat
---------------------


To put things into perspective, Shlayer, another common macOS malware strain that has also been able to bypass XProtect before and infect Macs with other malicious payloads, has hit [over 10% of all Apple computers](https://www.bleepingcomputer.com/news/security/10-percent-of-all-macs-shlayered-malware-cocktail-served/) monitored by Kaspersky.


Its creators also got their malware [through Apple's automated notarizing pro](https://www.bleepingcomputer.com/news/security/malware-authors-trick-apple-into-trusting-malicious-shlayer-apps/)cess and included the ability to [disable the Gatekeeper protection mechanism](https://www.bleepingcomputer.com/news/security/shlayer-malware-disables-macos-gatekeeper-to-run-unsigned-payloads/) to run unsigned second-stage payloads.


Shlayer also [recently exploited a macOS zero-day](https://www.bleepingcomputer.com/news/security/apple-fixes-macos-zero-day-bug-exploited-by-shlayer-malware/) to bypass Apple's File Quarantine, Gatekeeper, and Notarization security checks and download second-stage malicious payloads on compromised Macs.


While both AdLoad and Shlayer now only deploy adware and bundleware as secondary payloads, their creators can quickly switch to more dangerous malware, including ransomware or wipers, at any time.


"Today, we have a level of malware on the Mac that we don’t find acceptable and that is much worse than iOS," [said](https://www.cnbc.com/2021/05/19/apples-head-of-software-says-current-level-of-mac-malware-is-not-acceptable.html) Craig Federighi, Apple’s head of software, under oath while testifying in the Epic Games vs. Apple trial in May.





## Tags:


### Autogenerated tags:
[[adload]] [[malware]] [[xprotect]] [[sentinelone]] [[built-in]] [[macos]] [[adware]] [[shlayer]]
