# Kaspersky's iShutdown Tool Detects Pegasus Spyware and Other Mawlare on iOS Devices
## The iShutdown tool has been launched a few weeks after Kaspersky cybersecurity researchers revealed significant insights into Operation Triangulation. This investigation delves into how spyware threats compromise iPhones.
## Information:

+ Link: https://www.hackread.com/kaspersky-ishutdown-detects-pegasus-spyware-ios-devices/
+ Source: HACKRead
+ Author: Waqas
+ Date published: 17 January 2024, 19:33
+ Date scraped: 17 January 2024, 20:02

## Article:
![Main article image](https://www.hackread.com/wp-content/uploads/2024/01/kaspersky-ishutdown-detects-pegasus-spyware-ios-devices.jpg)






Kaspersky’s Global Research and Analysis Team (GReAT) has [introduced](https://www.kaspersky.com/about/press-releases/2024_kaspersky-reveals-new-method-to-detect-pegasus-spyware) a new tool that lets users detect Pegasus, a popular iOS spyware known for targeting journalists and activists. This lightweight method called iShutdown will identify signs of spyware on Apple iOS devices, including three prominent spyware families [Pegasus](https://www.hackread.com/blastpass-pegasus-spyware-exploit-iphones-ios/), [QuaDream’s Reign](https://www.hackread.com/quadream-israeli-cyber-mercenary-iphone-hacks/), and [Intellexa’s Predator](//www.hackread.com/zero-day-ios-exploit-chain-predator-spyware/).


The iShutdown tool is now available to the public, seven months after Kaspersky Labs initially reported the hacking of its employees’ iPhones, referred to as [Operation Triangulation](https://www.hackread.com/kaspersky-employees-iphones-spyware-infected/). In December 2023, the company [released](https://www.hackread.com/iphone-spyware-exploits-obscure-chip-feature/) an update disclosing that hackers likely exploited an obscure hardware feature during spyware attacks against iPhone users.


The method was tested on a set of Pegasus-compromised iPhones. However, it must be noted that this method/tool is different from the [iShutdown iOS application](https://apps.apple.com/us/app/ishutdown/id511622885?mt=12) that allows Mac devices to shut down/sleep/restart/log out.


According to the cybersecurity firm, traces of Pegasus-related processes were discovered in a text-based system log file called “Shutdown.log” on iPhones compromised with the spyware.


The log file is stored within the sysdiagnose archive of iOS devices. It records every reboot event with its environmental characteristics and is a generally overlooked forensic artefact. It can have entries dating back several years, providing valuable information. When a user initiates a reboot, the operating system terminates running processes, flushing memory buffers, and waiting for a normal reboot.


Its analysis revealed “sticky” processes that hinder reboots. Pegasus-related processes were found in over four reboot delay notices. These anomalies during reboot procedures allowed the tool to flag potential infections with high accuracy. Further analysis revealed a similar filesystem path used by all three spyware families, “/private/var/db/” for Pegasus and Reign, and “/private/var/tmp/” for Predator, as an indicator of compromise.


Kaspersky GReAT’s lead security researcher, Maher Yamout, has confirmed the log’s consistency with other [Pegasus infections](https://www.hackread.com/iphone-state-dept-hijacked-nso-pegasus-spyware/), making it a reliable forensic artefact for infection analysis. The tool offers enhanced protection to a broader user base.


“Compared to more time-consuming acquisition methods such as forensic device imaging or a full iOS backup, Shutdown.log file recovery is pretty simple,” [explained](https://securelist.com/shutdown-log-lightweight-ios-malware-detection-method/111734/) Yamout.






Kaspersky has developed a Python3 [utility](https://github.com/KasperskyLab/iShutdown) on GitHub for macOS, Windows, and Linux users to detect spyware. The tool extracts, analyzes, and parses Shutdown.log artifacts. It simplifies detection and raises awareness, empowering users to take control of their digital security.



[![Kaspersky's iShutdown Tool Detects Pegasus Spyware on iOS Devices](https://www.hackread.com/wp-content/uploads/2024/01/kaspersky-ishutdown-detects-pegasus-spyware-ios-devices-2.jpg)](https://www.hackread.com/wp-content/uploads/2024/01/kaspersky-ishutdown-detects-pegasus-spyware-ios-devices-2.jpg)


However, Kaspersky suggests users adopt a holistic approach towards data and device security. The company recommends users perform daily reboots, use lockdown mode, disable iMessage and FaceTime, timely iOS updates, and regular check backups.


The announcement comes after SentinelOne’s report revealing that information stealers targeting macOS like KeySteal, Atomic, and JaskaGo are quickly adapting to circumvent Apple’s built-in antivirus technology called [XProtect](https://support.apple.com/en-is/guide/security/sec469d47bd8/web).










## Tags:


### Autogenerated tags:
[[spyware]] [[kaspersky]] [[ishutdown]] [[iphones]]
