# Chinese Cyberspies Seen Using macOS Variant of 'Gimmick' Malware
## A Chinese threat actor has been observed using a macOS variant of the malware known as Gimmick.
## Information:

+ Link: https://www.securityweek.com/chinese-cyberspies-seen-using-macos-variant-gimmick-malware
+ Source: SecurityWeek
+ Author: Ionut Arghire
+ Date published: 24 March 2022, 08:01
+ Date scraped: 24 March 2022, 08:01

## Article:
![Main article image](https://www.securityweek.com//favicon.ico)


Tracked as Storm Cloud, the Chinese APT is known for engaging in targeted cyberespionage activities against organizations in Asia. In its attacks, the group relies on built-in utilities, custom malware, and open source tools.


Gimmick is a multi-platform malware family that relies on public cloud services for command and control (C&C), and which provides attackers with a broad range of capabilities.


[The macOS variant](https://www.volexity.com/blog/2022/03/22/storm-cloud-on-the-horizon-gimmick-malware-strikes-at-macos/) – identified on a MacBook Pro running macOS 11.6 (Big Sur) – is primarily written in Objective C, while previously observed Windows versions were built in .NET and Delphi. All variants, however, share the same C&C architecture, behavior, and file paths.


Gimmick, the researchers say, was configured to communicate solely with its Google Drive-based C&C server, and only during work days, to blend in with the target organization’s network traffic.


**[ READ: [New Cross-Platform Backdoor 'SysJoker' Used in Targeted Attacks](https://www.securityweek.com/new-cross-platform-backdoor-sysjoker-used-targeted-attacks) ]**


Analysis of the malware shows that its operation is highly asynchronous and that the attackers maintain a Google Drive directory for each of the infected hosts.


Volexity has identified directories used to store credentials, errors, proxy definitions, command files, and temporary files, among others, but says that not all Gimmick variants make use of all of these directories.


The malware can receive C&C commands to harvest system information, upload or download files, and execute shell commands, as well as to perform additional C&C operations.


Gimmick, the researchers note, is a complex malware family, mainly due to its asynchronous design, and its porting to macOS suggests that Storm Cloud – which is the only threat actor observed using it – is a well-resourced and versatile adversary.


Last week, Apple released new signatures to XProtect and MRT to protect Macs from Gimmick, Volexity says.





 


## Tags:


### Autogenerated tags:
[[malware]] [[c&c]] [[cloud]] [[macos]]
