# macOS Info-Stealer Malware 'MetaStealer' Targeting Businesses
## The MetaStealer macOS information stealer has been targeting businesses to exfiltrate keychain and other valuable information.
## Information:

+ Link: https://www.securityweek.com/macos-info-stealer-malware-metastealer-targeting-businesses/
+ Source: SecurityWeek
+ Author: Ionut Arghire
+ Date published: 13 September 2023, 12:54
+ Date scraped: 13 September 2023, 13:00

## Article:
![Main article image](https://www.securityweek.com/wp-content/uploads/2023/01/Cybersecurity_News-SecurityWeek.jpg)


**A recently identified macOS information stealer has been targeting businesses to exfiltrate keychain and other valuable information, cybersecurity firm SentinelOne reports.**


Dubbed [MetaStealer](https://www.sentinelone.com/blog/macos-metastealer-new-family-of-obfuscated-go-infostealers-spread-in-targeted-attacks/), the new malware family has been active for several months and some samples may evade Apple’s security mechanisms.


Written in Go and highly obfuscated, the malware can exfiltrate the keychain, steal files, and harvest saved passwords. It also appears to contain some methods to target Telegram and Meta applications.

The high-value data targeted by this information stealer could allow attackers to gain a foothold in the targeted organizations’ networks, or could be used for other types of malicious activity.

What makes this information stealer stand out in the crowd, however, is the fact that its operators are posing as clients to trick business employees into executing their malicious payload.

MetaStealer is being distributed as malicious application bundles, within disk image files (.dmg) featuring names meant to appeal to business users. The names of the disk image droppers are also meant to lure the recipients into executing them.

“I was targeted by someone posing as a design client, and didn’t realize anything was out of the ordinary. The man I’d been negotiating with on the job this past week sent me a password protected zip file containing this DMG file, which I thought was a bit odd,” a user commented after uploading a MetaStealer sample to VirusTotal.


According to SentinelOne, macOS malware is typically being distributed via torrent sites or via cracked versions of legitimate software, and rarely targets business users specifically.

The cybersecurity firm also notes that most of the observed MetaStealer samples do not have a code signature attached and do not use ad hoc signing either, meaning that the attackers need to trick the intended victim into overriding existing macOS protections, including Gatekeeper.

MetaStealer samples were initially uploaded to VirusTotal in March 2023 and continued to be uploaded at a steady pace throughout the summer, with the most recent sample being uploaded on August 27.

While Apple has updated its malware blocking tool XProtect last week, some of the samples observed in June and July remain undetected after Apple’s update, SentinelOne notes.

SentinelOne also identified a link between MetaStealer and the Go-written [Atomic Stealer](https://www.securityweek.com/atomic-macos-stealer-malware-delivered-via-malvertising-campaign/), but says that there are very few code overlaps between the two malware families.


“At this point, we cannot rule out that the same team of malware developers could be behind both stealers and that differences in delivery are due to different buyers of the malware, but it is also equally possible that entirely different individuals or teams are simply using similar techniques to achieve the same objectives,” SentinelOne notes.

**Related:** [Threat Actors Adopt, Modify Open Source ‘SapphireStealer’ Information Stealer](https://www.securityweek.com/threat-actors-adopt-modify-open-source-sapphirestealer-information-stealer/)


**Related:** [New Information Stealer ‘Mystic Stealer’ Rising to Fame](https://www.securityweek.com/new-information-stealer-mystic-stealer-rising-to-fame/)


**Related:** [Hacker Forum Credentials Found on 120,000 PCs Infected With Info-Stealer Malware](https://www.securityweek.com/hacker-forum-credentials-found-on-120000-pcs-infected-with-info-stealer-malware/)





## Tags:


### Autogenerated tags:
[[malware]] [[sentinelone]] [[metastealer]] [[macos]]
