# Japanese Cryptocurrency Exchange Falls Victim to JokerSpy macOS Backdoor Attack
## A Japanese cryptocurrency exchange fell victim to a recent cyberattack, deploying the stealthy JokerSpy backdoor on Apple macOS.
## Information:

+ Link: https://thehackernews.com/2023/06/japanese-cryptocurrency-exchange-falls.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 26 June 2023, 18:06
+ Date scraped: 26 June 2023, 13:03

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEgel1MzEOcwsaGk5rXq9uhBAFXkSxVutZ3SchZ8KSLYRUdKW0TdyIgywFg46QM0wA8Qbrv1joIbfne03rH3jnI8e2pb0ia6z4_j_5tTtiLJlnM2YaJETq5LiAqQkneTV_0YvWNs23dfEgcolp9uIMBm3LpqJCzrAqz3__GrHD1PYPJmQ_UCLszZloyNfS8/s728-e3650/crypto.jpg)


An unknown cryptocurrency exchange located in Japan was the target of a new attack earlier this month to deploy an Apple macOS backdoor called JokerSpy.


Elastic Security Labs, which is monitoring the intrusion set under the name **REF9134**, [said](https://www.elastic.co/security-labs/inital-research-of-jokerspy) the attack led to the installation of Swiftbelt, a Swift-based enumeration tool inspired by an open-source utility called [SeatBelt](https://github.com/GhostPack/Seatbelt).


JokerSky was [first documented](https://thehackernews.com/2023/06/researchers-discover-new-sophisticated.html) by Bitdefender last week, describing it as a sophisticated toolkit designed to breach macOS machines.


[![Cybersecurity](data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR42mP8Xw8AAoMBgDTD2qgAAAAASUVORK5CYII=)](https://thn.news/netspi-in-1)
Very little is known about the threat actor behind the attacks other than the fact that the attacks leverage a set of programs written in Python and Swift that come with capabilities to gather data and execute arbitrary commands on compromised hosts.


A primary component of the toolkit is a self-signed multi-architecture binary known as xcc that's engineered to check for FullDiskAccess and ScreenRecording permissions.


The file is signed as XProtectCheck, indicating an attempt to masquerade as [XProtect](https://support.apple.com/en-us/guide/security/sec469d47bd8/web), a built-in antivirus technology within macOS that makes use of signature-based detection rules to remove malware from already infected hosts.


In the incident analyzed by Elastic, the creation of xcc is followed by the threat actor "attempting to bypass TCC permissions by creating their own [TCC database](https://support.apple.com/en-us/guide/security/secddd1d86a6/web) and trying to replace the existing one."


"On June 1, a new Python-based tool was seen executing from the same directory as xcc and was utilized to execute an open-source macOS post-exploitation enumeration tool known as Swiftbelt," security researchers Colson Wilhoit, Salim Bitam, Seth Goodwin, Andrew Pease, and Ricardo Ungureanu said.


The attack targeted a large Japan-based cryptocurrency service provider focusing on asset exchange for trading Bitcoin, Ethereum, and other common cryptocurrencies. The name of the company was not disclosed.


[![Cybersecurity](data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR42mP8Xw8AAoMBgDTD2qgAAAAASUVORK5CYII=)](https://www.memcyco.com/home/library/the-untold-cost-of-brand-impersonation-ebook/?utm_source=thn&utm_medium=referral&utm_campaign=ebook-campaign)
The xcc binary, for its part, is launched by means of Bash via three different apps that are named IntelliJ IDEA, iTerm (a terminal emulator for macOS), and Visual Studio Code, indicating that backdoored versions of software development software are likely used to gain initial access.


Another notable module installed as part of the attack is sh.py, a Python implant that's used as a conduit to deliver other post-exploitation tools like Swiftbelt.


"Unlike other enumeration methods, Swiftbelt invokes Swift code to avoid creating command line artifacts," the researchers said. "Notably, xcc variants are also written using Swift."



  





## Tags:


### Autogenerated tags:
[[macos]] [[xcc]] [[swiftbelt]]
