# MacOS Malware: Myth vs. Truth – Podcast
## Huntress Labs R&D Director Jamie Levy busts the old “Macs don’t get viruses” myth and offers tips on how MacOS malware differs and how to protect against it.
## Information:

+ Link: https://kasperskycontenthub.com/threatpost-global/?p=179215
+ Source: ThreatPost
+ Author: Lisa Vaas
+ Date published: 07 April 2022, 13:00
+ Date scraped: 07 April 2022, 14:00

## Article:
![Main article image](https://media.threatpost.com/wp-content/uploads/sites/103/2022/03/31160106/apple-with-worm-scaled-e1648756886958.jpeg)


Remember those ads with a sneezing guy in a suit who says  [he’s a PC](https://www.youtube.com/watch?v=eF7habaTvAY&ab_channel=LearnitTraining) and to stay away, he’s got that nasty virus that’s going around? “That’s OK,” says the young, hip guy in blue jeans: He’s a Mac.


… as if any machine that runs code could possibly be immune to malware…?


[![](https://media.threatpost.com/wp-content/uploads/sites/103/2022/03/31164420/mac-vs-pc-ad-e1648759503948.png)](https://media.threatpost.com/wp-content/uploads/sites/103/2022/03/31164420/mac-vs-pc-ad-e1648759503948.png)


Boy, was that a stretch.


The untruthiness of the notion that Macs are immune to malware has been proved by multiple MacOS-focused malwares. Examples include [Silver Sparrow](https://threatpost.com/silver-sparrow-malware-30k-macs/164121/), the malware capable of targeting Apple’s then-new M1 ARM architecture Macs back in February 2021. Another: the variant of the Shlayer Mac OSX malware with advanced stealth capabilities that was [spotted](https://threatpost.com/shlayer-mac-malware-extra-sneakiness/156669/) in the wild in June 2020, actively using poisoned Google search results in order to find victims.


[![Infosec Insiders Newsletter](https://media.threatpost.com/wp-content/uploads/sites/103/2021/07/10165815/infosec_insiders_in_article_promo.png)](https://threatpost.com/infosec-insider-subscription-page/?utm_source=ART&utm_medium=ART&utm_campaign=InfosecInsiders_Newsletter_Promo/)


Do you still hear people say “Oh, I’m on a Mac. I can’t get a virus”?


Jamie Levy, director of R&D at Huntress, recently hosted one of the company’s [“Tradecraft Tuesday”](https://www.huntress.com/resources/tradecraft-tuesday?wchannelid=zy8dl5egyy&wmediaid=o9d63nfb4b) webinars, where she dug into the threat landscape on the MacOS side of the aisle to take a look at which threats are the most dangerous. If you’re still hearing Mac users swear they’re invulnerable, this is the podcast to listen to. … or to get *them* to listen to.


She dropped by the Threatpost podcast to bring us the highlights of that webinar, including:


* What malware looks like on MacOS;
* How persistence works on MacOS, and what it means for victims; and
* The severity of the typical threats that prey upon MacOS users, and how defenders can protect their users and environments from those threats.


Please see below for a list of MacOS security tools that Jamie listed in the show.


You can download the podcast below or [listen here](http://traffic.libsyn.com/digitalunderground/033122_Huntress_Jamie_Levy_mixdown.mp3). For more podcasts, check out Threatpost’s [podcast site](https://threatpost.com/microsite/threatpost-podcasts-going-beyond-the-headlines/).



## Tools to Protect MacOS


These are the tools to protect MacOS that Jamie recommended during the podcast:


* [**Apple’s Gatekeeper, Notarization, and XProtect:**](https://support.apple.com/guide/security/protecting-against-malware-sec469d47bd8/web)Turn on Apple’s own MacOS tools to identify and block malware.
* [**Lulu**](https://objective-see.com/products/lulu.html)**:**  A free, open firewall for Macs from Objective-See that Jamie recommends as a supplement to the default firewall in MacOS.
* [**Little Snitch:**](https://www.obdev.at/products/littlesnitch/index.html) A host-based application firewall for macOS from Objective Development Software GmbH, Little Snitch can be used to monitor applications, preventing or permitting them to connect to attached networks through advanced rules. Jamie said it’s basically like Lulu, except “maybe it’s a little more extended.”
* [**RansomWhere**](https://objective-see.com/products/ransomwhere.html): A tool from Objective-See that continually monitors the file system for the creation of encrypted files by suspicious processes in order to protect personal files from ransomware.
* [**BlockBlock**](https://objective-see.com/products/blockblock.html)**:** Another tool from Objective-See, BlockBlock monitors common persistence locations and alerts whenever a persistent component is added.


***Moving to the cloud? Discover emerging cloud-security threats along with solid advice for how to defend your assets with our*** [***FREE downloadable eBook***](https://bit.ly/3Jy6Bfs)***, “Cloud Security: The Forecast for 2022.”*** ***We explore organizations’ top risks and challenges, best practices for defense, and advice for security success in such a dynamic computing environment, including handy checklists.***





## Tags:


### Autogenerated tags:
[[macos]] [[malware]] [[podcast]] [[objective-see]]
